Get Current Vehicle Oem Alerts
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/manufacturer-alerts/current \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/manufacturer-alerts/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/manufacturer-alerts/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": []
}Vehicle Manufacturer Alerts
Get Current Vehicle Oem Alerts
Retrieves the list of currently active manufacturer alerts for the vehicle, that is, alerts that have come from the vehicle itself, rather than our alerts. This can include alerts for low tire pressure, faulty brakes etc.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
maintenance
/
manufacturer-alerts
/
current
Get Current Vehicle Oem Alerts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes

